VERSION 5.00
Begin VB.Form frmTest 
   Caption         =   "Test CPConvert"
   ClientHeight    =   2520
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5355
   LinkTopic       =   "Form1"
   ScaleHeight     =   2520
   ScaleWidth      =   5355
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdExit 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   615
      Left            =   3480
      TabIndex        =   10
      Top             =   1800
      Width           =   1575
   End
   Begin VB.CommandButton cmdRevert 
      Caption         =   "Revert"
      Height          =   615
      Left            =   1800
      TabIndex        =   9
      Top             =   1800
      Width           =   1575
   End
   Begin VB.TextBox txtTo 
      Height          =   315
      Left            =   1080
      TabIndex        =   8
      Top             =   1320
      Width           =   3495
   End
   Begin VB.TextBox txtFrom 
      Height          =   285
      Left            =   1080
      TabIndex        =   6
      Top             =   960
      Width           =   3495
   End
   Begin VB.TextBox txtCPTo 
      Height          =   285
      Left            =   1080
      TabIndex        =   4
      Text            =   "866"
      Top             =   450
      Width           =   1335
   End
   Begin VB.TextBox txtCPFrom 
      Height          =   285
      Left            =   1080
      TabIndex        =   2
      Text            =   "1251"
      Top             =   120
      Width           =   1335
   End
   Begin VB.CommandButton cmdConvert 
      Caption         =   "Convert"
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   1800
      Width           =   1575
   End
   Begin VB.Label lblTo 
      Caption         =   "To:"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   1320
      Width           =   735
   End
   Begin VB.Label lblFrom 
      Caption         =   "From:"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   960
      Width           =   735
   End
   Begin VB.Label lblCPto 
      Caption         =   "CP to:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   735
   End
   Begin VB.Label lblCPfrom 
      Caption         =   "CP from:"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Const BUFF_LENGTH As Integer = 10
Const BUFF_INCRIMENT As Integer = 256

Const TEXTFROM_HELLO As String = "!" '<- "Hello!" in 1251 (Windows Russian) Code Page
Const CP_FROM As Integer = 1251            '<- CP Windows Russian
Const CP_TO As Integer = 866               '<- CP Dos Russian

Dim oCPconvert As CPCONVERTLib.ConvertCP

Private Sub Form_Load()
    Set oCPconvert = CreateObject("CPConvert.ConvertCP")
    If Not oCPconvert Is Nothing Then
        oCPconvert.BufferLength = BUFF_LENGTH
        oCPconvert.BufferIncrement = BUFF_INCRIMENT
        If oCPconvert.BufferLength <> BUFF_LENGTH Then
            Call MsgBox("Can not reset 'BufferLength' property", vbCritical, "Error on change property:")
        End If
    End If
    txtCPFrom.Text = CP_FROM
    txtCPTo.Text = CP_TO
    txtFrom.Text = TEXTFROM_HELLO
End Sub

Private Sub cmdExit_Click()
    Call Unload(Me)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set oCPconvert = Nothing
End Sub

Private Sub cmdConvert_Click()
    txtTo.Text = ""
    If oCPconvert Is Nothing Then
        Exit Sub
    End If
    txtTo.Text = oCPconvert.Convert(CInt(txtCPFrom.Text), CInt(txtCPTo.Text), txtFrom.Text)
End Sub

Private Sub cmdRevert_Click()
    txtFrom.Text = ""
    If oCPconvert Is Nothing Then
        Exit Sub
    End If
    txtFrom.Text = oCPconvert.Convert(CInt(txtCPTo.Text), CInt(txtCPFrom.Text), txtTo.Text)
End Sub
